from collections import deque
from time import sleep

kol = [0] * 5
d_kol = deque(kol)
test = True

while test == True:
    d_kol.pop()
    d_kol.appendleft(1)
    print(d_kol)
    sleep(0.5)
    for i in range(5):
        test = False
        if d_kol[i] == 0:
            test = True